Skip to main content
POST
/
agents
/
{agent_id}
/
documents
/
upload
Upload Documents
curl --request POST \
  --url https://api.example.com/agents/{agent_id}/documents/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>'
{
  "agent_id": "<string>",
  "files_uploaded": 123,
  "task_ids": [
    "<string>"
  ],
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Body

multipart/form-data
files
string[]
required

PDF or document files to upload

Response

Successful Response

Response from uploading documents.

agent_id
string
required
files_uploaded
integer
required
task_ids
string[]
required
message
string
required